/*
 * Copyright (C) 1995-2012 by 4system Polska Sp. z o.o.
 * All Rights Reserved. v4
 */

componentSLWRadioButton = function(name)
{
	//inherited	
	this.componentElement = componentElement;
	this.componentElement(name);
	
	this.confirmAnswer = false;
};

componentSLWRadioButton.prototype = new componentElement();
componentSLWRadioButton.prototype.type = "componentSLWRadioButton";

componentSLWRadioButton.prototype.onBaseCreate = function(obj)
{
	this.captureMouseEvents();
	
	if (this.disabled == true) {
		this.obj.disabled = true;
	}
	if (this.checked == true) {
		document.getElementById(this.id + "_contentObj").checked = "checked";
	}	
};
